petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexConstructGhostCells

Construct ghost cells which connect to every boundary face

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexConstructGhostCells(DM dm, const char labelName[], PetscInt *numGhostCells, DM *dmGhosted)

Collective on dm Many br

### Input Parameters

| dm | - The original DM Many br
| labelName | - The label specifying the boundary faces, or "Face Sets" if this is NULL Many br

### Output Parameters

| numGhostCells | - The number of ghost cells added to the DM Many br
| dmGhosted | - The new DM Many br

Note: If no label exists of that name, one will be created marking all boundary faces Many br

Many br

### See Also

DMCreate()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html